package com.kingdee.eas.custom.compensation.push_bill;

import com.kingdee.bos.framework.ejb.EJBRemoteException;
import com.kingdee.bos.util.BOSObjectType;
import java.rmi.RemoteException;
import com.kingdee.bos.framework.AbstractBizCtrl;
import com.kingdee.bos.orm.template.ORMObject;

import com.kingdee.bos.util.*;
import com.kingdee.eas.framework.CoreBaseInfo;
import com.kingdee.bos.Context;
import com.kingdee.eas.hr.base.HRBillBaseEntry;
import com.kingdee.bos.dao.IObjectPK;
import com.kingdee.eas.custom.compensation.push_bill.app.*;
import com.kingdee.bos.BOSException;
import com.kingdee.bos.metadata.entity.SelectorItemCollection;
import com.kingdee.eas.hr.base.IHRBillBaseEntry;
import com.kingdee.eas.common.EASBizException;
import com.kingdee.eas.framework.CoreBaseCollection;
import com.kingdee.bos.metadata.entity.EntityViewInfo;
import java.lang.String;
import com.kingdee.bos.framework.*;

public class PayrollDistributionSlipEntry extends HRBillBaseEntry implements IPayrollDistributionSlipEntry
{
    public PayrollDistributionSlipEntry()
    {
        super();
        registerInterface(IPayrollDistributionSlipEntry.class, this);
    }
    public PayrollDistributionSlipEntry(Context ctx)
    {
        super(ctx);
        registerInterface(IPayrollDistributionSlipEntry.class, this);
    }
    public BOSObjectType getType()
    {
        return new BOSObjectType("0C8ECC54");
    }
    private PayrollDistributionSlipEntryController getController() throws BOSException
    {
        return (PayrollDistributionSlipEntryController)getBizController();
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@return
     */
    public PayrollDistributionSlipEntryInfo getPayrollDistributionSlipEntryInfo(IObjectPK pk) throws BOSException, EASBizException
    {
        try {
            return getController().getPayrollDistributionSlipEntryInfo(getContext(), pk);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param pk 取值
     *@param selector 取值
     *@return
     */
    public PayrollDistributionSlipEntryInfo getPayrollDistributionSlipEntryInfo(IObjectPK pk, SelectorItemCollection selector) throws BOSException, EASBizException
    {
        try {
            return getController().getPayrollDistributionSlipEntryInfo(getContext(), pk, selector);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取值-System defined method
     *@param oql 取值
     *@return
     */
    public PayrollDistributionSlipEntryInfo getPayrollDistributionSlipEntryInfo(String oql) throws BOSException, EASBizException
    {
        try {
            return getController().getPayrollDistributionSlipEntryInfo(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@return
     */
    public PayrollDistributionSlipEntryCollection getPayrollDistributionSlipEntryCollection() throws BOSException
    {
        try {
            return getController().getPayrollDistributionSlipEntryCollection(getContext());
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param view 取集合
     *@return
     */
    public PayrollDistributionSlipEntryCollection getPayrollDistributionSlipEntryCollection(EntityViewInfo view) throws BOSException
    {
        try {
            return getController().getPayrollDistributionSlipEntryCollection(getContext(), view);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
    /**
     *取集合-System defined method
     *@param oql 取集合
     *@return
     */
    public PayrollDistributionSlipEntryCollection getPayrollDistributionSlipEntryCollection(String oql) throws BOSException
    {
        try {
            return getController().getPayrollDistributionSlipEntryCollection(getContext(), oql);
        }
        catch(RemoteException err) {
            throw new EJBRemoteException(err);
        }
    }
}